This is GStreamer Ugly Plug-ins 0.10.15 "Englishman in a Baseball Cap"

Changes since 0.10.14:

      * amrnbenc: give element a rank (SECONDARY) so it's autoplugged
      * rmdemux: descramble sipro audio before pushing out
      * x264enc: fix up codec_data / avcC header construction some more
      * x264enc: Put pixel-aspect-ratio from input into the src pad caps

Bugs fixed since 0.10.14:

      * 612995 : x264enc: pixel-aspect-ratio does not appear in src pad caps
      * 613815 : A call in gst/realmedia/rmutils.c discards qualifiers from pointer target type
      * 615410 : x264 orders NALs differently than x264enc expects
      * 617078 : Wrong include paths in amr elements
      * 619776 : [x264enc] is unable to do Baseline with recent x264
      * 618098 : [rmdemux] Add descrambling for Sipro codec

Changes since 0.10.13:

      * amrwbdec: give decoder a rank so decodebin/playbin will use it
      * asfdemux: fix flow aggregation
      * asfdemux: try harder to put sane timestamps and durations on buffers
      * asfdemux: accept fragments in a continued packet where the subsequent fragments declare a size of 0
      * asfdemux: improve seek behaviour for audio-only files without an index
      * asfdemux: careful to avoid crash on bogus data; avoid strlen() on NULL pointers
      * asfdemux: add support for chained asfs (push mode)
      * asfdemux: map WM/TrackNumber to GST_TAG_TRACK_NUMBER and prefer over WM/Track
      * asfdemux: post bitrate tags
      * mp3parse: seeking fixes: fix non-flushing seek, conserve stop time for non-accurate seek
      * rtspreal: memory leak fixes; make config header construction valgrind clean
      * rmdemux: fix AC-3 in RealAudio playback; post bitrate tags
      * x264enc: fix up avcC header construction and playback by flash players
      * x264enc: Make upstream GstForceKeyUnit thread-safe
      * x264enc: make use of Access Unit delimiters configurable
      * x264enc: adapt to slightly modified x264 API
      * xingmux: fix unaligned memory access, makes things work better on ARM/SPARC

Bugs fixes since 0.10.13:

      * 606662 : h264: add stream-format to output caps
      * 563276 : Internal GStreamer error: negotiation problem - after opening avi file
      * 586464 : [xingmux] Unit test failures on sparc and arm/eabi
      * 598761 : [mpegaudioparse] Reduce processing time by 2
      * 599095 : x264enc: Adapt to slightly modified x264 API
      * 599297 : [asfdemux] Doesn't populate video bitrate field
      * 599299 : [rmdemux] Doesn't populate video bitrate field
      * 599333 : Segfault with asfdemuxer
      * 599676 : RealAudio file with AC-3 audio no longer plays
      * 600037 : [asfdemux] ASF MPEG4 Part 2 file captured from Linksys WVC200 Camera corrupted/fails
      * 601419 : x264enc crashes
      * 602280 : [asfdemux] fix segmentation fault when utf8 tag name is null
      * 602556 : x264enc and ffenc upstream GstForceKeyUnit handling are not thread-safe
      * 603695 : Innaccurate seeking in MP3 files results in cut off playback
      * 608564 : [ffdec_cook] memory leak
      * 610432 : [asfdemux] handle negative payload timestamps
      * 611473 : [regression] outgoing buffers with a duration of zero
      * 608533 : [real] memory leak in real audio stream via rtsp
      * 610089 : Flash players are unable to show x264 encoded streams

Changes since 0.10.12:
    
      * Improve A52 decoder
      * Add AMR-WB decoder and AMR-NB decoder/encoder based on OpenCore codecs
      * ASF playback improvements
      * Improve mp3 parser and seeking

Bugs fixed since 0.10.12:
     
      * 519721 : [asfdemux] wma tags are not copied when converting to another format
      * 584890 : AMR plugins based on Opencore codecs
      * 585956 : [mp3parse] indexing improvements
      * 590432 : It's only possible to build the mad plugin when building id3tag as well
      * 591348 : AMR plugins should check for opencore-amr .pc files
      * 592787 : a52dec: Allow liba52 to use djbfft based IMDCT transform
      * 596517 : x264 element no longer compiles against changed upstream API
      * 598272 : a52dec leaks input buffers
      * 598370 : Properly detect pre-releases

Changes since 0.10.11:
    
      * Real and WMS RTSP improvements
      * Other cleanups and bug fixes
      * Improve ASF file handling
      * Large MPEG video file support
      * Interlacing support for MPEG video
      * New 'lamemp3dec' mp3 encoder element
      * x264enc moved from -bad
      * Remove id3mux in favour of the new id3tag element in -bad

Bugs fixed since 0.10.11:
     
      * 401173 : [asfdemux] Stream doesn't play, stuck on first frame
      * 494528 : Simplifications of the LAME plugin
      * 574461 : [mpeg2dec] Lower rank and make ffdec_mpeg2video PRIMARY
      * 576305 : twolame plugin does not detet proper version
      * 579058 : [asfdemux] proper handling of RTSP input
      * 580803 : [PLUGIN-MOVE] Move x264enc to -ugly
      * 580869 : dvdsubdec ARGB support
      * 581341 : [lamemp3enc] doesn't build with LAME 3.97: implicit decla...
      * 581756 : [id3mux] replace with something more reliable
      * 582056 : [asfdemux] forcing an EOS on the pipeline doesn't work wi...
      * 582375 : mpeg2dec not building in gst-plugins-ugly
      * 583112 : [asfdemux] extract coverart (WM/Picture tag)
      * 573720 : [mp3parse] Memory leak when playing shoutcast streams
      * 581464 : xing data is being ignored
      * 578524 : synaesthesia MSVC compatibility

Changes since 0.10.10:
    
      * Migrate twolame element from -bad
      * mp3parse improvements
      * Support scaling in the synaesthsia visualisation
      * Improve realmedia streaming, supporting RDT and pnm://
      * Improved ASF demuxing, including streaming-mode seeking
      * Support for 4:4:4 MPEG-2 video

Bugs fixed since 0.10.10:
     
      * 571146 : [mpeg2dec] Probably uses wrong strides for 4:2:2 and 4:4:...
      * 574461 : [mpeg2dec] Lower rank and make ffdec_mpeg2video PRIMARY
      * 454228 : [mpegdemux] problem with mark shuttleworth clip
      * 522699 : pnm:/something.ra streams can't be loaded in Totem from a...
      * 527112 : [real] Can't play several real audio streams
      * 556714 : Real Audio streams not working properly
      * 560348 : plus7.arte.tv plays slooooowly
      * 562065 : mpeg2dec does not handle STATE_SEQUENCE_MODIFIED from > =l...
      * 562086 : mpeg2 stream crashes something in gstreamer
      * 564885 : [mpegstream] memory leak
      * 568836 : [asfdemux] add seeking support when operating in push mode
      * 569317 : [PLUGIN-MOVE] Move twolame plugin from -bad to -ugly
      * 575068 : [mp3parse] deadlock with accurate seeking
      * 335067 : Need RTP ASF depayloader
      * 571358 : [real] file playing stops immediately

Changes since 0.10.9:
    
      * asfdemux and rmdemux fixes
      * RDT support
      * AMR-NB parser improvements
      * Fix a52dec channel output negotiation
      * Compilation fixes for mad, mpeg2dec

Bugs fixed since 0.10.9:
     
      * 546859 : Asfdemux doesn't properly error out on not-linked
      * 536274 : handle flush seeking in amrnbparse
      * 554142 : mad plugin with disable index seeking issue
      * 554150 : mpeg2dec plugin with disable index seeking issue
      * 556184 : [PATCH] mpeg2dec: prefer container's pixel aspect ratio o...
      * 556277 : mp3parse generate discontinuities.
      * 558277 : generic states test fails
      * 559569 : GStreamer mp3 consistent and regular stuttering
      * 559682 : negotiation problem
      * 561161 : [sidplay] Uses GST_CFLAGS for C++
      * 424070 : [amrnbdec] add IF2 handling
      * 536226 : fix query duration
      * 558896 : DVD playing on Vista using dvddemux element seg-faults on...

Changes since 0.10.8:

      * Improvements in a52 and mp3 decoding
      * Bug fixes in Xing header muxer
      * MPEG demuxer improvements and dvdreadsrc bug-fixes
      * Fix build with LAME 3.97 and above
      * Fix LAME parameter settings to allow setting the bitrate properly

Bugs fixed since 0.10.8:

      * 476149 : Fix and add needed features to dvdnavsrc
      * 490372 : Variable bit rates are limited to 160 kbps in higher qual...
      * 498004 : preset is ignored by lame plugin
      * 540194 : [mpegdemux] Doesn't handle files with a non-zero start ti...
      * 542646 : gstreamer endless loop by zzuf sample
      * 544039 : [lame] Doesn't build with 3.97
      * 545370 : playing some mp3s segfaults
      * 546859 : Asfdemux doesn't properly error out on not-linked
      * 548194 : a52dec doesn't set up segment for raw files correctly.
      * 537235 : [mp3parse] some mp3 files do not play with gstreamer

Changes since 0.10.7:
    
      * ASF demuxer fixes
      * MP3 parsing and Xing header output bug-fixes
      * Real streaming and demuxing improvements

Bugs fixed since 0.10.7:
     
      * 527572 : Crash in volume_process_int32
      * 321857 : [mp3parse] needs to post DURATION message for VBR mp3s
      * 428021 : [mad, mp3parse] better duration estimates for VBR
      * 517985 : [lame] compile error on Solaris, broken GST_ELEMENT_ERROR...
      * 518676 : xingmux doesn't work anymore
      * 518933 : mp3 tags are not copied when converting to another format
      * 521459 : RTSP extension for Real Audio doesn't extract  Author, Co...
      * 524346 : Framerate not being displayed correctly on running gst-di...
      * 529488 : [sidplay] Missing sentinel in function call
      * 532807 : [rmdemux] Doesn't properly aggregate flow returns
      * 533581 : [mad] inconsistent use of rate and channels
      * 533832 : [rmdemux] reset variables on flush

Changes since 0.10.6:
    
      * Many bug fixes and improvements
      * Accurate seeking support in mp3
      * xingmux moved from -bad
      * RealMedia and WMS RTSP support
      * LAME mp3 encoder fixes
      * Support non-square pixels in ASF
      * rmdemux fixes
      * amrnb fixes
      * dvdreadsrc seeking fix
      * Initial MPEG-2 reverse playback support
      * New element: dvdsubdec

Bugs fixed since 0.10.6:
     
      * 358891 : [dvdreadsrc] aborts due to src- > cur_pack == dsi_pack.dsi_...
      * 337681 : Seeking problem with MP3s in banshee and rhythmbox
      * 414988 : Stream encoded by lame has gap after decoding
      * 427309 : [rmdemux] trouble playing RV10 video
      * 439390 : [lame] fix up so we can control sample rate conversion
      * 450879 : Missing files in po/POTFILES.in
      * 452025 : ./configure breaks when cross-compiling LAME
      * 454311 : missing xml/{element-synaesthesia-details.xml,plugin-syna...
      * 466442 : amrnbenc has not properties to add header and select band...
      * 495885 : [mpegdemux] unknown stream id 0xbe
      * 500467 : [rmdemux] totem crashed with SIGSEGV
      * 500808 : gstmpeg2dec compile problem in MSVC 6.0
      * 507821 : Skip over broken seektable in Xing headers
      * 511497 : [PLUGIN-MOVE] Move xingheader to gst-plugins-ugly
      * 514297 : mpeg2dec with corrupted packets causes fps denominator so...
      * 515575 : [lame] unit test shows memory leak
      * 515708 : [dvdsubparse] Leaks a pad template
      * 515725 : [xingmux] Fails on big endian systems
      * 516278 : [dvdreadsrc] FORMAT_BYTES based seek stopped working sinc...
      * 516811 : [mp3parse] immediate EOS when playing back AVIs
      * 516989 : [dvdreadsrc] wrong (negative) stream position returned du...
      * 308312 : Make mp3parse plugin implement GST_SEEK_FLAG_ACCURATE
      * 508595 : [lame] wrong output caps in mono encoding mode
      * 140136 : [mpeg] plays choppy in gst-player/totem
      * 448782 : add finalize() to amrnbdec element
      * 491305 : [playbin?] intro-leopard.mov sometimes EOSes immediately,...
      * 504671 : [rtspsrc] spews warnings on setup and shutdown

Changes since 0.10.5:

      * fixes in handling of MPEG streams, Real streams and MP3
      * AMR-NB fixes
      * Other bug-fixes and improvements

Bugs fixed since 0.10.5:

      * 336370 : [asfdemux] crashes on an assertion in gst_asf_demux_get_v...
      * 332157 : [asfdemux] This WMV file is played very strangely
      * 335760 : [asfdemux] dataflow error when seeking in zeldadslarge.wmv
      * 349779 : [real] can't play ancient RealAudio 1.0/2.0 format files
      * 353116 : [asfdemux] hangs playing some mms stations
      * 365288 : [asfdemux] seeking not very smooth
      * 370020 : [mpeg2dec] continue even after 5 consecutive decoding errors
      * 385292 : [rmdemux] stream index leaked on shutdown 
      * 385311 : Memory leak initializing lame mp3 encoder plugin (gstlame.c)
      * 385651 : [asfdemux] Jerky playback of " I love sky " 
      * 393890 : [win32] autogenerated win32/common/config.h needed
      * 397219 : [rmdemux] captured realaudio stream with non-zero start p...
      * 403188 : [asfdemux] bug parsing certain stream header object
      * 421594 : [real] doesn't compile if zlib includes are missing
      * 425374 : [asfdemux] seek in WMV rarely works
      * 428698 : [rmdemux] crashes on files with many logical streams 
      * 429960 : [mpegdemux] playbin hangs with small external vobsub subt...
      * 431707 : [amrnbparse] make pipeline hang 
      * 432533 : [mad, mp3parse] regression: CVS version doesn't parse dur...
      * 438610 : [dvddemux] fails after flushing seek
      * 440120 : [mpegdemux] crashes in gst_mpeg_demux_send_subbuffer() wi...
      * 442706 : [dvdsubdec] crashes when flushing/on seek
      * 444514 : [PATCH] dvdsubdec miscalculates (long) subtitle durations
      * 386218 : [asfdemux] Division by zero when seeking live streams

Changes since 0.10.4:
    
      * Improved asf playback
      * Fixes to MPEG demuxer
      * Improved Real playback
      * Fix crasher bugs in the MPEG video decoder
      * DVD-read-src improvements
      * mp3 parser fixes

Bugs fixed since 0.10.4:
     
      * 361584 : [mpeg2dec] framerate=0/0 on caps leads to crash
      * 162417 : [mpeg] movie skips
      * 340433 : [dvdread] fails to play certain DVDs with playbin and Totem
      * 348002 : AC3 5.1 foreground movie sound cannot be heard in Totem/g...
      * 350761 : [a52dec] Select output format based on peer element caps
      * 350778 : [mpegdemux] Send update newsegments
      * 356004 : [mpeg2dec] memory corruption
      * 361140 : [lame] lame bitrate=196 errors out in setup
      * 362639 : Fixes compiling with forte: warning clean up (part 6)
      * 369627 : [mpeg2dec] unit test addition and memleak fix
      * 374760 : [PATCH] last buffer sent by lame may not have (valid) tim...
      * 374914 : this mp4 video doesn't play correctly (codec problem)
      * 384447 : totem crashes while trying to play dvd on ppc
      * 385192 : mpegparse accesses random memory
      * 334322 : [mpegdemux] playbin freezes with VobSub subtitles
      * 384989 : misparsing of Real Media mux leads to buffer overrun
      * 384996 : Tailored or broken Real Media mux file crashes RM demuxer
      * 327350 : [mpeg2dec] altivec crashes on misaligned buffers
      * 350723 : [mad] Wrong output buffer timestamping

Bugs fixed since 0.10.3:
    
      * 329184 : [lame] remove tag writing support
      * 345694 : [dvdreadsrc] crash with 'who wants to be a millionnaire' ...
      * 349035 : [asfdemux] should error out on encrypted WMV stream
      * 341677 : massive memory leak with mpeg2 video in AVI
      * 321609 : [mpegstream] flush packetizer cache on discontinuities
      * 323658 : [id3mux] Changing of ID3 tags is broken in gstreamer
      * 335288 : Totem Crashes on Certain .mpg Files
      * 336550 : [asfdemux] only first video frames are displayed with som...
      * 336824 : [mad] returns incorrect duration to queries in BYTES format
      * 337834 : [dvddemux] seeking in DVDs doesn't work
      * 339287 : [lame] segfault if EOS before setcaps
      * 340594 : [mad] does not publish supported query formats
      * 340710 : [lame] typo in event handler
      * 341254 : [asfdemux] gst_tag_list_get_string_index assertion
      * 342222 : [amrnb] can't play AMR Narrowband from cellphone (S.E. W800)
      * 342594 : [mad] should send new-segment before pad_alloc_buffer
      * 343763 : [asfdemux] broken audio and unrecognised 2nd audio stream
      * 345184 : [mpeg2dec] crash with video with pixel_width and pixel_he...
      * 347029 : Minor mistake in comment
      * 347292 : [rmdemux] Realaudio files with 'cook' audio 'stutter'
      * 348786 : lame put lots of 0's at start of mp3
      * 350044 : [dvdsubdec] outputs buffers with negative durations
      * 350895 : [dvdreadsrc] wrong use of debugging causes fatal warning
      * 343627 : Add QoS to mpeg2dec
      * 344667 : [siddec] sounds very broken
      * 350554 : [patch] assertation failed trying to play .ac3 files

Features since 0.10.2:

      * dvdsubdec ported
      * fixes in mpeg2dec, asfdemux, mpegdemux, dvddemux, rmdemux,
        mpegparse, amrnb, mad, lame, a52dec

Bugs fixed since 0.10.2:
    
      * 300682 : [mpeg2dec] fails to play mpgtx -j joined files to the end
      * 317310 : Cant play swedish radio station " P3 " 
      * 320022 : [asfdemux] borks on a particular mms asf stream
      * 323023 : [rmdemux] stops immediately if there are unlinked source ...
      * 326598 : [mpegstream] does not handle timestamp overflow correctly
      * 327356 : gst-plugins-ugly fails to build with GCC 4.1
      * 328957 : [mpegstream] fix build with gcc 2.95
      * 331588 : [rmdemux] realmedia files with AC3 don't work
      * 331838 : build problem caused by AS_LIBTOOL_TAGS([CXX])
      * 331842 : should check for mad and id3tag headers, not libs
      * 332796 : [asfdemux] cannot play an ASF stream
      * 333345 : [lame] fix some memory leaks
      * 333683 : [id3mux] patch to add support for GST_TAG_ALBUM_VOLUME_NU...
      * 334550 : Some ac3 files fail to play
      * 336097 : [asfdemux] live ASF streams do not work
      * 336387 : [mpegdemux] reffing null caps


Features since 0.10.1:

      * DVD Title source (dvdreadsrc) ported (DVD Menus in a future release)
      * ASF demuxer ported
      * Fixes for MPEG demuxing
      * Fixes for the MAD MP3 decoder
      * Fixes for the LAME MP3 encoder
      * ID3 tag reading has moved to id3demux in gst-plugins-good
      * Fixes for the Real Media demuxer
      * Various other fixes

Bugs fixed since 0.10.1:

      * 171528 : SIGFPE in gstasf with http://joule.via.ecp.fr/~lool/debia...
      * 317872 : Cannot demux ASF/WMV files with auxillary (non-audio/vide...
      * 319782 : Lame encoding is broken with vbr=vbr-new and vbr-quality=9
      * 326711 : [mpegdemux] does not negotiate source pads
      * 326734 : [mad] Add 24-bit output support
      * 329575 : misc bugfixes for mad from 0.8
      * 331035 : [asfdemux] port to 0.10
      * 331301 : [mpeg2dec] strides issues when cropping
      * 330844 : mpeg2dec crashes with " cropped " MPEG videos
      * 331579 : Set asfdemux rank to secondary
      * 313838 : totem hangs after playing an amazon sample

Features since 0.10.0:
    
      * fixes in dvddemux, mpegdemux, mad, iec958
      * removed id3demux (new version in gst-plugins-good)

Bugs fixed since 0.10.0:
    
      * 322049 : [id3demux] should support pull range
      * 322856 : [mpeg2dec] Use of wrong variables
      * 322857 : [mpeg2dec] Seeking in byte format
      * 325652 : many plugins don't pass unhandled queries upstream

API added since 0.10.0:
    
      * AC3IEC::raw-audio

Bugs fixed since 0.9.7:
    
      * 323199 : Remove id3tag element (replaced by id3demux and id3mux)

Changes since 0.9.6:
    
      * mpegstream fixes

Bugs fixed since 0.9.6:
    
      * 319784 : mad claims to need more data
      * 322745 : [mpegdemux] segfaults
  
Changes since 0.9.5:
    
      * mpegstream ported
      * fractional framerates

Bugs fixed since 0.9.5:
    
      * 319862 : Partial mpegstream/dvddemux port
      * 321955 : gst-plugins-ugly fail to compile

Changes since 0.9.3:

      * rmdemux fixes
      * a52dec ported

Bugs fixed since 0.9.3:

      * 318849 : [a52dec] ported to gstreamer 0.9

Changes since 0.9.1:

      * lame, rmdemux, iec958 fixes
